X-Git-Url: https://git.saurik.com/apt.git/blobdiff_plain/21248c0f00ee71412dbadc6ebf84011cf974346d..57401c48fadc0c78733a67294f9cc20a57e527c9:/test/integration/test-bug-747261-arch-specific-conflicts

diff --git a/test/integration/test-bug-747261-arch-specific-conflicts b/test/integration/test-bug-747261-arch-specific-conflicts
index be971b89e..e1370433f 100755
--- a/test/integration/test-bug-747261-arch-specific-conflicts
+++ b/test/integration/test-bug-747261-arch-specific-conflicts
@@ -1,20 +1,15 @@
 #!/bin/sh
 set -e
 
-TESTDIR=$(readlink -f $(dirname $0))
-. $TESTDIR/framework
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
 setupenvironment
 configarchitecture 'amd64' 'sparc' 'armel'
 
+insertinstalledpackage 'foobar' 'armel' '1'
 msgtest 'Check that dpkg supports' 'arch-specific dependencies'
-set +e
-# this fails always, the question is just how it fails
-dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null 2>/dev/null >/dev/null
-RETURNCODE=$?
-set -e
-if [ "$RETURNCODE" != '1' ]; then
-	dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null || true
-	echo "Command had returncode: $RETURNCODE"
+if ! dpkgcheckbuilddeps -d 'foobar:armel' /dev/null 2>/dev/null >/dev/null; then
+	dpkgcheckbuilddeps -d 'foobar:armel' /dev/null || true
 	msgskip
 	exit 0
 else